if (!window.RoundButton)
	RoundButton = {};

RoundButton.Page = function() 
{
}

RoundButton.Page.prototype =
{
	handleLoad: function(control, userContext, rootElement) 
	{
		this.control = control;
		
		// Sample event hookup:	
		rootElement.addEventListener("MouseLeftButtonDown", Silverlight.createDelegate(this, this.handleMouseDown));
	},
	
	// Sample event handler
	handleMouseDown: function(sender, eventArgs) 
	{
		// The following line of code shows how to find an element by name and call a method on it.
		// this.control.content.findName("Storyboard1").Begin();
	}
}

function ButtonClicked(sender, eventArgs)
{  
    if(sender.name == "RoundButton")
    {
      //---wyszukiwanie referencji elipsy---
      var pressedEllipse = sender.findName("EllipsePressed");
      pressedEllipse.opacity = 1;
    }
}

function ButtonReleased(sender, eventArgs)
{  
    if(sender.name == "RoundButton")
    {
      //---wyszukiwanie referencji elipsy---
      var pressedEllipse = sender.findName("EllipsePressed");
      pressedEllipse.opacity = 0;
    }
}
